## whoopsie 0.2.47

=== debian/changelog ===
whoopsie (0.2.47) vivid; urgency=medium

  [ Didier Roche ]
  * Remove /etc/default/whoopsie conffile and avoid upgrade prompt:
    (LP: #1431432)
    - debian/whoopsie.maintscript: get it removed on upgrade
    - debian/whoopsie.preinst: copy the optional report_metrics value if set
      by gnome-control-center capplet to /etc/whoopsie (not a conffile).
      (LP: #1412719)
      Refactor the logic for caching report_crashes as well.
    - debian/whoopsie.postinst: enhance the logic to ensure we don't have the
      service started after upgrade and keep it disable if it was disabled
    - Makefile, data/whoopsie: remove the conffile so that we don't ship it
  * Bump Standards-Version

  [ Michael Blennerhassett ]
  * Under upstart: Set the WAIT_STATE to get wait-for-state to do something
    useful. GOAL is also not needed.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Mar 2015 17:21:58 +0100

whoopsie (0.2.46) vivid; urgency=medium

  * debian/whoopsie.init: Reverting previous change as it makes whoopsie
    upstart job to get in an infinite loop when starting the service (needs
    to be better investigated first)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 05 Feb 2015 18:15:00 -0200

whoopsie (0.2.45) vivid; urgency=medium

  * Merge patch from Bryan Quigley to only log when whoopsie's state changes.
    (LP: #1217407)

 -- Brian Murray <brian@ubuntu.com>  Mon, 02 Feb 2015 13:54:58 -0800

whoopsie (0.2.44) vivid; urgency=medium

  * debian/whoopsie.init: Make this actually work.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jan 2015 19:50:50 +0100

whoopsie (0.2.43) vivid; urgency=medium

  * Remove .crash file if we are unable to create a .uploaded file for it
    to prevent trying to upload the same crash file multiple times.
    (LP: #1392412)
  * Avoid buffer overflow when parsing reports. Thanks to John-Mark Bell for
    the patch. (LP: #1397340)

 -- Brian Murray <brian@ubuntu.com>  Wed, 17 Dec 2014 16:17:33 -0800

whoopsie (0.2.42) vivid; urgency=medium

  * Disable whoopsie in systemd if the sysadmin set it as disabled in
    /etc/default/whoopsie: (LP: #1390014)
    - remove report_crashes key from the conffile
    - if was set to false, generate an upstart override and disable it
      with systemctl
    - remove the condition in the upstart job, just use the override
  * Add Environment= to units instead of executing a shell script to set
    the daemon env.
  * Ship an init script file and handle upstart/init startup being disabled
    depending on /etc/default/whoopsie.
  * Use systemd debhelper sequence now.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 06 Nov 2014 12:32:06 +0100

whoopsie (0.2.41) vivid; urgency=medium

  * Start whoopsie if ubiquity presence is detected, so that we can report
    crashes from installation environments to the Error Tracker.

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Oct 2014 11:30:25 -0700

whoopsie (0.2.40) vivid; urgency=medium

  [ Evan Dandrea ]
  * Wait for network-manager to start when it's installed.

  [ Brian Murray ]
  * tests/monitor: Stop using mktemp, and clean up after ourselves in the
    callback_not_triggered_without_upload_file test.
  * Change ownership of whoopsie-id so that it is not world readable.
    (LP: #1386752)

 -- Brian Murray <brian@ubuntu.com>  Wed, 29 Oct 2014 10:28:24 -0700

=== debian/control ===
Source: whoopsie
Section: utils
Priority: optional
Maintainer: Evan Dandrea <ev@ubuntu.com>
Build-Depends: debhelper (>= 9.0),
 dh-systemd,
 libglib2.0-dev (>= 2.32),
 libcurl4-openssl-dev,
 libgcrypt11-dev,
 libcap-dev,
 libgtk-3-dev,
 network-manager-dev (>= 0.9.4.0-0ubuntu1),
 python,
 pyflakes
Standards-Version: 3.9.6
Homepage: http://wiki.ubuntu.com/ErrorTracker
Vcs-Bzr: lp:whoopsie
Vcs-Browser: http://bazaar.launchpad.net/~daisy-pluckers/whoopsie/trunk/

Package: whoopsie
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 libwhoopsie0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends},
             sysvinit-utils (>= 2.88dsf-50)
Description: Ubuntu error tracker submission
 This program submits crash reports back to an Ubuntu server.

Package: libwhoopsie0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ubuntu error tracker submission - shared library
 This library provides methods to generate an identifier for use with the
 Ubuntu error tracker

Package: libwhoopsie-dev
Section: libdevel
Architecture: any
Depends: libwhoopsie0 (= ${binary:Version}), ${misc:Depends}
Description: Ubuntu error tracker submission - library development files
 This library provides methods to generate an identifier for use with the
 Ubuntu error tracker

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(CURDIR)/debian/whoopsie

%:
	dh $@ --with systemd

## whoopsie 0.2.47.1

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

libwhoopsie_SOURCES=src/identifier.c
libwhoopsie_OBJECTS=$(libwhoopsie_SOURCES:.c=.o)
libwhoopsie_CFLAGS=$(shell pkg-config --cflags glib-2.0) \
				   $(shell libgcrypt-config --cflags) \
				   $(CFLAGS) $(CPPFLAGS)
libwhoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0) \
				 $(shell libgcrypt-config --libs) \
				 $(LDFLAGS)

whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" \
	   $(CFLAGS) $(CPPFLAGS)
whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \
			  $(LDFLAGS)
SOURCES=src/whoopsie.c \
		src/utils.c \
		src/connectivity.c \
		src/monitor.c \
		src/logging.c \
		lib/bson/bson.c \
		lib/bson/encoding.c \
		lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=src/whoopsie
BIN=$(DESTDIR)/usr/bin
DATA=$(DESTDIR)/etc

.PHONY: all clean check install

all: $(SOURCES) $(EXECUTABLE)

$(libwhoopsie_OBJECTS): $(libwhoopsie_SOURCES)
	$(CC) -std=c99 -fPIC -c $(libwhoopsie_CFLAGS) -o $@ $^

src/libwhoopsie.so.0.0: $(libwhoopsie_OBJECTS)
	$(CC) -std=c99 -shared -Wl,-soname,libwhoopsie.so.0 -o $@ $^ $(libwhoopsie_LIBS)
	ln -sf libwhoopsie.so.0.0 src/libwhoopsie.so.0
	ln -sf libwhoopsie.so.0.0 src/libwhoopsie.so

$(EXECUTABLE): $(OBJECTS) src/libwhoopsie.so.0.0
	$(CC) -std=c99 $(OBJECTS) $(whoopsie_LIBS) -Lsrc -lwhoopsie -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS) $(libwhoopsie_OBJECTS) src/libwhoopsie.so*
	$(MAKE) -C src/tests clean
check:
	$(MAKE) -C src/tests
	if type cppcheck >/dev/null 2>&1; then \
		cppcheck . --error-exitcode=1; \
	fi
	find -name "*.py" | xargs pyflakes
	if type valgrind >/dev/null 2>&1; then \
		APPORT_REPORT_DIR=$(shell mktemp -d) ./tools/check_valgrind; \
	fi
coverage:
	$(MAKE) -C src/tests coverage
%.o: %.c
	$(CC) -std=c99 -c $(whoopsie_CFLAGS) -o $@ $^

install: all
	install -d $(BIN)
	install src/whoopsie $(BIN)
	install -d $(DATA)/init
	install -d $(DESTDIR)/lib/systemd/system
	install -m644 data/whoopsie.conf $(DATA)/init
	install -m644 data/whoopsie.service $(DESTDIR)/lib/systemd/system
	install -d $(DESTDIR)/usr/share/apport/package-hooks
	install -m644 data/whoopsie.py $(DESTDIR)/usr/share/apport/package-hooks
	install -d $(DESTDIR)/usr/lib
	install -m644 src/libwhoopsie.so.0.0 $(DESTDIR)/usr/lib
	cp -d src/libwhoopsie.so $(DESTDIR)/usr/lib
	cp -d src/libwhoopsie.so.0 $(DESTDIR)/usr/lib
	install -d $(DESTDIR)/usr/lib/pkgconfig
	install -m644 lib/libwhoopsie.pc $(DESTDIR)/usr/lib/pkgconfig
	install -d $(DESTDIR)/usr/include/libwhoopsie
	install -m644 src/identifier.h $(DESTDIR)/usr/include/libwhoopsie

=== debian/changelog ===
whoopsie (0.2.47.1) vivid-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2015 13:17:18 -0800

## whoopsie 0.2.49

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
 
-libwhoopsie_SOURCES=src/identifier.c
+libwhoopsie_SOURCES=src/identifier.c \
+                    src/recoverable-problem.c
 libwhoopsie_OBJECTS=$(libwhoopsie_SOURCES:.c=.o)
-libwhoopsie_CFLAGS=$(shell pkg-config --cflags glib-2.0) \
+libwhoopsie_CFLAGS=$(shell pkg-config --cflags glib-2.0 gio-2.0) \
 				   $(shell libgcrypt-config --cflags) \
 				   $(CFLAGS) $(CPPFLAGS)
 libwhoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0) \
@@ -10,7 +11,8 @@
 				 $(LDFLAGS)
 
 whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
-	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" \
+	   $(shell libgcrypt-config --cflags) \
+	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" -fPIC \
 	   $(CFLAGS) $(CPPFLAGS)
 whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \
 			  $(LDFLAGS)
@@ -30,9 +32,6 @@
 .PHONY: all clean check install
 
 all: $(SOURCES) $(EXECUTABLE)
-
-$(libwhoopsie_OBJECTS): $(libwhoopsie_SOURCES)
-	$(CC) -std=c99 -fPIC -c $(libwhoopsie_CFLAGS) -o $@ $^
 
 src/libwhoopsie.so.0.0: $(libwhoopsie_OBJECTS)
 	$(CC) -std=c99 -shared -Wl,-soname,libwhoopsie.so.0 -o $@ $^ $(libwhoopsie_LIBS)
@@ -75,3 +74,4 @@
 	install -m644 lib/libwhoopsie.pc $(DESTDIR)/usr/lib/pkgconfig
 	install -d $(DESTDIR)/usr/include/libwhoopsie
 	install -m644 src/identifier.h $(DESTDIR)/usr/include/libwhoopsie
+	install -m644 src/recoverable-problem.h $(DESTDIR)/usr/include/libwhoopsie

=== debian/changelog ===
whoopsie (0.2.49) wily; urgency=medium

  [ Evan Dandrea ]
  * Helper to create recoverable problem reports. Thanks Ted Gould!

  [ Brian Murray ]
  * Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev.
    Thanks to Robert Ancell.
  * Only publish the CRASH_DB_IDENTIFIER on the file system if it was not
    set via an environmental variable. (LP: #1389357)

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Oct 2015 10:09:03 -0700

whoopsie (0.2.48) wily; urgency=medium

  * data/whoopsie.service: remove check for ubiquity-dm so that whoopsie
    will run again on the Live CD.

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 May 2015 14:52:36 -0700

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-systemd,
  libglib2.0-dev (>= 2.32),
  libcurl4-openssl-dev,
- libgcrypt11-dev,
+ libgcrypt20-dev,
  libcap-dev,
  libgtk-3-dev,
  network-manager-dev (>= 0.9.4.0-0ubuntu1),

## whoopsie 0.2.49.1

=== debian/changelog ===
whoopsie (0.2.49.1) wily-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2015 13:09:34 -0800

## whoopsie 0.2.52

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	if type cppcheck >/dev/null 2>&1; then \
 		cppcheck . --error-exitcode=1; \
 	fi
-	find -name "*.py" | xargs pyflakes
+	find -name "*.py" | xargs pyflakes3
 	if type valgrind >/dev/null 2>&1; then \
 		APPORT_REPORT_DIR=$(shell mktemp -d) ./tools/check_valgrind; \
 	fi
@@ -66,10 +66,10 @@
 	install -m644 data/whoopsie.service $(DESTDIR)/lib/systemd/system
 	install -d $(DESTDIR)/usr/share/apport/package-hooks
 	install -m644 data/whoopsie.py $(DESTDIR)/usr/share/apport/package-hooks
-	install -d $(DESTDIR)/usr/lib
-	install -m644 src/libwhoopsie.so.0.0 $(DESTDIR)/usr/lib
-	cp -d src/libwhoopsie.so $(DESTDIR)/usr/lib
-	cp -d src/libwhoopsie.so.0 $(DESTDIR)/usr/lib
+	install -d $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
+	install -m644 src/libwhoopsie.so.0.0 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp -d src/libwhoopsie.so $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp -d src/libwhoopsie.so.0 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -d $(DESTDIR)/usr/lib/pkgconfig
 	install -m644 lib/libwhoopsie.pc $(DESTDIR)/usr/lib/pkgconfig
 	install -d $(DESTDIR)/usr/include/libwhoopsie

=== debian/changelog ===
whoopsie (0.2.52) xenial; urgency=medium

  * src/whoopsie.c: Preserve TABs in crash data.  (LP: #1390627)
  * debian/control: Build-Depend on pyflakes3.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 17 Mar 2016 17:09:44 -0400

whoopsie (0.2.51) xenial; urgency=medium

  [ Matthias Klose ]
  * Multiarchify the library packages.
  * Convert scripts to Python3.

  [ Brian Murray ]
  * Use pyflakes3 not pyflakes in the Makefile.

 -- Brian Murray <brian@ubuntu.com>  Thu, 28 Jan 2016 07:54:09 -0800

whoopsie (0.2.50) xenial; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <brian@ubuntu.com>  Tue, 03 Nov 2015 13:30:52 -0800

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  libcap-dev,
  libgtk-3-dev,
  network-manager-dev (>= 0.9.4.0-0ubuntu1),
- python,
- pyflakes
+ python3,
+ pyflakes3
 Standards-Version: 3.9.6
 Homepage: http://wiki.ubuntu.com/ErrorTracker
 Vcs-Bzr: lp:whoopsie
@@ -31,6 +31,8 @@
 Package: libwhoopsie0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ubuntu error tracker submission - shared library
  This library provides methods to generate an identifier for use with the
@@ -39,6 +41,7 @@
 Package: libwhoopsie-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libwhoopsie0 (= ${binary:Version}), ${misc:Depends}
 Description: Ubuntu error tracker submission - library development files
  This library provides methods to generate an identifier for use with the

## whoopsie 0.2.52.5ubuntu0.4

=== debian/changelog ===
whoopsie (0.2.52.5ubuntu0.4) xenial-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1830865)
    - use uint32_t instead of size_t and INT32_MAX instead of INT_MAX
      as bson expects variable sizes to be 32 bits long.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 04 Nov 2019 23:33:08 +0000

whoopsie (0.2.52.5ubuntu0.3) xenial-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1850608)
    - lib/bson/bson.c: properly initialize value.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Oct 2019 09:03:35 -0400

whoopsie (0.2.52.5ubuntu0.2) xenial-security; urgency=high

  * SECURITY UPDATE: Integer overflow when handling large bson
    objects (LP: #1830865)
    - lib/bson/bson.c, lib/bson/bson.h, src/whoopsie.c: use size_t
      for size instead of int to prevent integer overflows.
    - lib/bson/bson.c: ensure bson objects are not bigger than INT_MAX.
    - CVE-2019-11484

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 14 Oct 2019 14:17:30 +0000

whoopsie (0.2.52.5ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer overflow when handling large crash dumps (LP:
    #1830863)
    - src/whoopsie.c: Don't use signed integer types for lengths to ensure
      large crash dumps do not cause signed integer overflow
    - CVE-2019-11476

 -- Alex Murray <alex.murray@canonical.com>  Fri, 5 Jul 2019 14:15:25 +0930

whoopsie (0.2.52.5) xenial-proposed; urgency=medium

  * Modify the whoopsie service file to wants=networking-online.target too.
    (LP: #1706195)

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Jul 2017 13:08:46 -0700

whoopsie (0.2.52.4) xenial-proposed; urgency=medium

  [Brian Murray]
  * src/connectivity.c: query the correct property when trying to
    network-manager's state. (LP: #1697375)
  * Modify the whoopsie service file to start after networking is on-line.
  * src/whoopsie.c: Add HotspotError from the openjdk-8 package hook which can
    be larger than 1KB to the list of accepted fields. (LP: #1696814)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 19 Jul 2017 11:39:47 -0700

whoopsie (0.2.52.3) xenial-proposed; urgency=medium

  * src/whoopsie.c: Add ProcCpuinfoMinimal which can be larger than 1KB to the
    list of accepted fields. (LP: #1673557)

 -- Brian Murray <brian@ubuntu.com>  Fri, 12 May 2017 10:21:20 -0700

whoopsie (0.2.52.2) xenial-proposed; urgency=medium

  * src/whoopsie.c: Add fields from package management applications that can
    be larger than 1KB to the list of accepted fields. (LP: #1616517)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Aug 2016 12:26:10 -0700

whoopsie (0.2.52.1) xenial; urgency=medium

  * Ensure that Whoopsie picks up NetworkManager include paths to fix
    build.  (LP: #1592649)
  * Add dependency in dev package to gcrypt which is needed.

 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Jun 2016 09:37:28 -0700

## whoopsie 0.2.52.5ubuntu0.5

=== debian/changelog ===
whoopsie (0.2.52.5ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: integer overflow in bson parsing (LP: #1872560)
    - lib/bson/*: updated to latest upstream release.
    - CVE-2020-12135
  * SECURITY UPDATE: resource exhaustion via memory leak (LP: #1881982)
    - src/whoopsie.c, src/tests/test_parse_report.c: properly handle
      GHashTable.
    - CVE-2020-11937
  * SECURITY UPDATE: DoS via large data length (LP: #1882180)
    - src/whoopsie.c, src/whoopsie.h, src/tests/test_parse_report.c: limit
      the size of a report file.
    - CVE-2020-15570

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 Jul 2020 08:55:26 -0400

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libwhoopsie0 (= ${binary:Version}), ${misc:Depends}
+Depends: libwhoopsie0 (= ${binary:Version}), ${misc:Depends}, libgcrypt20-dev
 Description: Ubuntu error tracker submission - library development files
  This library provides methods to generate an identifier for use with the
  Ubuntu error tracker

## whoopsie 0.2.54

=== debian/changelog ===
whoopsie (0.2.54) yakkety; urgency=medium

  * src/whoopsie.c: Add fields from package management applications that can
    be larger than 1KB to the list of accepted fields. (LP: #1616517)

 -- Brian Murray <brian@ubuntu.com>  Fri, 09 Sep 2016 09:47:58 -0700

whoopsie (0.2.53) yakkety; urgency=medium

  * Ensure that Whoopsie picks up NetworkManager include paths to fix build.
  * Add dependency in dev package to gcrypt which is needed.

 -- Ted Gould <ted@ubuntu.com>  Thu, 12 May 2016 09:48:10 +0200

## whoopsie 0.2.54.1

=== debian/changelog ===
whoopsie (0.2.54.1) yakkety; urgency=medium

  * src/whoopsie.c: Add ProcCpuinfoMinimal which can be larger than 1KB to the
    list of accepted fields. (LP: #1673557)

 -- Brian Murray <brian@ubuntu.com>  Wed, 29 Mar 2017 12:03:30 -0700

## whoopsie 0.2.55

=== debian/changelog ===
whoopsie (0.2.55) zesty; urgency=medium

  * src/whoopsie.c: Add ProcCpuinfoMinimal which can be larger than 1KB to the
    list of accepted fields. (LP: #1673557)

 -- Brian Murray <brian@ubuntu.com>  Wed, 29 Mar 2017 12:41:31 -0700

## whoopsie 0.2.55.2

=== debian/changelog ===
whoopsie (0.2.55.2) zesty-proposed; urgency=medium

  * Modify the whoopsie service file to wants=networking-online.target too.
    (LP: #1706195)

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Jul 2017 13:01:28 -0700

whoopsie (0.2.55.1) zesty-proposed; urgency=medium

  [ Brian Murray ]
  * src/connectivity.c: query the correct property when trying to
    network-manager's state. (LP: #1697375)
  * Modify the whoopsie service file to start after networking is on-line.
  * src/whoopsie.c: Add HotspotError from the openjdk-8 package hook which can
    be larger than 1KB to the list of accepted fields. (LP: #1696814)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 19 Jul 2017 11:34:31 -0700

## whoopsie 0.2.58

=== debian/changelog ===
whoopsie (0.2.58) artful; urgency=medium

  * Modify the whoopsie service file to wants=networking-online.target too.

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Jul 2017 13:42:40 -0700

whoopsie (0.2.57) artful; urgency=medium

  * src/connectivity.c: query the correct property when trying to
    network-manager's state. (LP: #1697375)
  * Modify the whoopsie service file to start after networking is on-line.

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Jul 2017 13:08:38 -0700

whoopsie (0.2.56) artful; urgency=medium

  * src/whoopsie.c: Add HotspotError from the openjdk-8 package hook which can
    be larger than 1KB to the list of accepted fields. (LP: #1696814)

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Jun 2017 15:44:53 -0700

## whoopsie 0.2.62

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 				 $(shell libgcrypt-config --libs) \
 				 $(LDFLAGS)
 
-whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
+whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) \
 	   $(shell libgcrypt-config --cflags) \
 	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" -fPIC \
 	   $(CFLAGS) $(CPPFLAGS)

=== debian/changelog ===
whoopsie (0.2.62) bionic; urgency=medium

  * Remove /etc/whoopsie file as its contents are not read by whoopsie.
    (LP: #1756937)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Apr 2018 13:38:15 -0700

whoopsie (0.2.61) bionic; urgency=medium

  * Build-depend on libcurl4-gnutls-dev, not libcurl4-openssl-dev, to drop
    the redundant curl implementation from the desktop seeds and also fix a
    GPL violation.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Apr 2018 10:48:31 -0700

whoopsie (0.2.60) bionic; urgency=medium

  * Include JournalErrors in information uploaded to the Error Tracker.
    (LP: #1756446)

 -- Brian Murray <brian@ubuntu.com>  Fri, 30 Mar 2018 08:32:35 -0700

whoopsie (0.2.59) bionic; urgency=medium

  * Set CURLOPT_SSL_VERIFYPEER to 0 if env CRASH_DB_NOVERIFYPEER is set for
    testing daisy servers with self-signed certs.

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Jan 2018 14:39:25 -0800

## whoopsie 0.2.62ubuntu0.4

=== debian/changelog ===
whoopsie (0.2.62ubuntu0.4) bionic-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1830865)
    - use uint32_t instead of size_t and INT32_MAX instead of INT_MAX
      as bson expects variable sizes to be 32 bits long.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 04 Nov 2019 23:33:08 +0000

whoopsie (0.2.62ubuntu0.3) bionic-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1850608)
    - lib/bson/bson.c: properly initialize value.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Oct 2019 09:01:42 -0400

whoopsie (0.2.62ubuntu0.2) bionic-security; urgency=high

  * SECURITY UPDATE: Integer overflow when handling large bson
    objects (LP: #1830865)
    - lib/bson/bson.c, lib/bson/bson.h, src/whoopsie.c: use size_t
      for size instead of int to prevent integer overflows.
    - lib/bson/bson.c: ensure bson objects are not bigger than INT_MAX.
    - CVE-2019-11484

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 14 Oct 2019 14:16:56 +0000

whoopsie (0.2.62ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow when handling large crash dumps (LP:
    #1830863)
    - src/whoopsie.c: Don't use signed integer types for lengths to ensure
      large crash dumps do not cause signed integer overflow
    - CVE-2019-11476

 -- Alex Murray <alex.murray@canonical.com>  Fri, 5 Jul 2019 14:15:25 +0930

## whoopsie 0.2.62ubuntu0.5

=== debian/changelog ===
whoopsie (0.2.62ubuntu0.5) bionic-security; urgency=medium

  * SECURITY UPDATE: integer overflow in bson parsing (LP: #1872560)
    - lib/bson/*: updated to latest upstream release.
    - CVE-2020-12135
  * SECURITY UPDATE: resource exhaustion via memory leak (LP: #1881982)
    - src/whoopsie.c, src/tests/test_parse_report.c: properly handle
      GHashTable.
    - CVE-2020-11937
  * SECURITY UPDATE: DoS via large data length (LP: #1882180)
    - src/whoopsie.c, src/whoopsie.h, src/tests/test_parse_report.c: limit
      the size of a report file.
    - CVE-2020-15570

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 Jul 2020 08:55:26 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9.0),
  dh-systemd,
  libglib2.0-dev (>= 2.32),
- libcurl4-openssl-dev,
+ libcurl4-gnutls-dev,
  libgcrypt20-dev,
  libcap-dev,
  libgtk-3-dev,

## whoopsie 0.2.62ubuntu0.6

=== src/tests/Makefile ===
VERSION=$(shell dpkg-parsechangelog -l../../debian/changelog | grep ^Version: | cut -d' ' -f2)
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
		$(shell libgcrypt-config --cflags) \
		-g -I../../lib -I.. -DVERSION=\"$(VERSION)\" -DTEST -DTEST_DIR=\"$(CURDIR)\" -Wall
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \
		$(shell libgcrypt-config --libs)

test_parse_report_SOURCES=test_parse_report.c \
							../whoopsie.c \
							../logging.c \
							../recoverable-problem.c \
							../utils.c \
							../identifier.c \
							../../lib/bson/bson.c \
							../../lib/bson/encoding.c \
							../../lib/bson/numbers.c
test_parse_report_EXECUTABLE=test_parse_report
test_parse_report_OBJECTS=$(test_parse_report_SOURCES:.c=.test.o)

test_utils_SOURCES=test_utils.c \
					../utils.c
test_utils_EXECUTABLE=test_utils
test_utils_OBJECTS=$(test_utils_SOURCES:.c=.test.o)

test_monitor_SOURCES=test_monitor.c \
					../monitor.c \
					../logging.c \
					../utils.c
test_monitor_EXECUTABLE=test_monitor
test_monitor_OBJECTS=$(test_monitor_SOURCES:.c=.test.o)

#test_identifier_SOURCES=test_identifier.c \
					../identifier.c
#test_identifier_EXECUTABLE=test_identifier
#test_identifier_OBJECTS=$(test_identifier_SOURCES:.c=.test.o)

test_logging_SOURCES=test_logging.c \
					../logging.c
test_logging_EXECUTABLE=test_logging
test_logging_OBJECTS=$(test_logging_SOURCES:.c=.test.o)

test_recoverable_SOURCES=test_recoverable.c \
					../recoverable-problem.c
test_recoverable_EXECUTABLE=test_recoverable
test_recoverable_OBJECTS=$(test_recoverable_SOURCES:.c=.test.o)

.PHONY: all clean check

all: check

check: $(test_parse_report_EXECUTABLE) $(test_utils_EXECUTABLE) $(test_monitor_EXECUTABLE) $(test_logging_EXECUTABLE) $(test_recoverable_EXECUTABLE)
	@r=0; for t in $^; do \
		./$$t -k || r=1; \
	done; \
	exit $$r;

$(test_parse_report_EXECUTABLE): $(test_parse_report_OBJECTS)
	$(CC) -std=c99 $^ $(LIBS) -o $@
$(test_utils_EXECUTABLE): $(test_utils_OBJECTS)
	$(CC) -std=c99 $^ $(LIBS) -o $@
$(test_monitor_EXECUTABLE): $(test_monitor_OBJECTS)
	$(CC) -std=c99 $^ $(LIBS) -o $@
#$(test_identifier_EXECUTABLE): $(test_identifier_OBJECTS)
	#$(CC) -std=c99 $^ $(LIBS) -o $@
$(test_logging_EXECUTABLE): $(test_logging_OBJECTS)
	$(CC) -std=c99 $^ $(LIBS) -o $@
$(test_recoverable_EXECUTABLE): $(test_recoverable_OBJECTS)
	$(CC) -std=c99 $^ $(LIBS) -o $@

test_parse_report_coverage: $(test_parse_report_OBJECTS:.test.o=.coverage.o)
	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
test_utils_coverage: $(test_utils_OBJECTS:.test.o=.coverage.o)
	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
test_monitor_coverage: $(test_monitor_OBJECTS:.test.o=.coverage.o)
	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
#test_identifier_coverage: $(test_identifier_OBJECTS:.test.o=.coverage.o)
#	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
test_logging_coverage: $(test_logging_OBJECTS:.test.o=.coverage.o)
	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
test_recoverable_coverage: $(test_recoverable_OBJECTS:.test.o=.coverage.o)
	$(CC) -std=c99 $^ $(LIBS) -lgcov -o $@
coverage: test_parse_report_coverage test_utils_coverage test_monitor_coverage test_logging_coverage test_recoverable_coverage
	@r=0; for t in $^; do \
		./$$t -k || r=1; \
	done; \
	exit $$r;
	$(foreach p, $(wildcard ../*.c), gcov $p -o $(p:.c=.coverage.o);)

clean:
	rm -f $(test_parse_report_EXECUTABLE) \
		$(test_parse_report_OBJECTS) \
		$(test_utils_OBJECTS) \
		$(test_utils_EXECUTABLE) \
		$(test_monitor_OBJECTS) \
		$(test_monitor_EXECUTABLE) \
		$(test_identifier_OBJECTS) \
		$(test_identifier_EXECUTABLE) \
		$(test_logging_EXECUTABLE) \
		$(test_logging_OBJECTS) \
		$(test_recoverable_EXECUTABLE) \
		$(test_recoverable_OBJECTS) \
		test_parse_report_coverage \
		test_utils_coverage \
		test_identifier_coverage \
		test_logging_coverage \
		test_recoverable_coverage \
		coverage
	find ../.. \( -name '*.coverage.o' -o \
		-name '*.gcda' -o \
		-name '*.gcno' -o \
		-name '*.gcov' \) -delete

%.coverage.o: %.c
	$(CC) -std=c99 -c -o $@ $^ $(CFLAGS) --coverage -O0
%.test.o: %.c
	$(CC) -std=c99 -c -o $@ $^ $(CFLAGS)

=== debian/changelog ===
whoopsie (0.2.62ubuntu0.6) bionic; urgency=medium

  * Attempt to fix double free issue (LP: #1899100)
    - src/whoopsie.c: reject duplicate keys, re-order certain operations.
    - src/tests/data/crash/invalid_key_duplicate,
      src/tests/test_parse_report.c: added test for duplicate keys.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 09:35:52 -0800

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
 export DESTDIR=$(CURDIR)/debian/whoopsie
 
 %:

## whoopsie 0.2.62ubuntu1

=== debian/changelog ===
whoopsie (0.2.62ubuntu1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow when handling large crash dumps (LP:
    #1830863)
    - src/whoopsie.c: Don't use signed integer types for lengths to ensure
      large crash dumps do not cause signed integer overflow
    - CVE-2019-11476

 -- Alex Murray <alex.murray@canonical.com>  Fri, 5 Jul 2019 14:15:25 +0930

## whoopsie 0.2.64

=== debian/changelog ===
whoopsie (0.2.64) disco; urgency=medium

  * When the package is being purged remove /var/lib/whoopsie/whoopsie-id.
    (LP: #1816767)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Feb 2019 01:33:34 -0800

whoopsie (0.2.63) disco; urgency=medium

  * Write the reported OOPS ID to the .uploaded file. (LP: #1582470)

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Nov 2018 12:42:23 -0800

## whoopsie 0.2.64ubuntu0.4

=== debian/changelog ===
whoopsie (0.2.64ubuntu0.4) disco-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1830865)
    - use uint32_t instead of size_t and INT32_MAX instead of INT_MAX
      as bson expects variable sizes to be 32 bits long.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 04 Nov 2019 23:33:08 +0000

whoopsie (0.2.64ubuntu0.3) disco-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1850608)
    - lib/bson/bson.c: properly initialize value.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Oct 2019 09:00:52 -0400

whoopsie (0.2.64ubuntu0.2) disco-security; urgency=high

  * SECURITY UPDATE: Integer overflow when handling large bson
    objects (LP: #1830865)
    - lib/bson/bson.c, lib/bson/bson.h, src/whoopsie.c: use size_t
      for size instead of int to prevent integer overflows.
    - lib/bson/bson.c: ensure bson objects are not bigger than INT_MAX.
    - CVE-2019-11484

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 14 Oct 2019 14:13:13 +0000

whoopsie (0.2.64ubuntu0.1) disco-security; urgency=medium

  * SECURITY UPDATE: Integer overflow when handling large crash dumps (LP:
    #1830863)
    - src/whoopsie.c: Don't use signed integer types for lengths to ensure
      large crash dumps do not cause signed integer overflow
    - CVE-2019-11476

 -- Alex Murray <alex.murray@canonical.com>  Fri, 5 Jul 2019 14:15:25 +0930

## whoopsie 0.2.66

=== debian/changelog ===
whoopsie (0.2.66) eoan; urgency=medium

  * Use GLIb's appendable string class GString instead of hand crafting
    strings. Thanks to Iain Lane for the changes.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 Jul 2019 16:35:09 -0700

whoopsie (0.2.65) eoan; urgency=medium

  [ Sebastien Bacher ]
  * Don't use deprecated n-m components.  LP: #1833236.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 01 Jul 2019 11:43:00 -0700

## whoopsie 0.2.66ubuntu0.3

=== debian/changelog ===
whoopsie (0.2.66ubuntu0.3) eoan-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1830865)
    - use uint32_t instead of size_t and INT32_MAX instead of INT_MAX
      as bson expects variable sizes to be 32 bits long.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 04 Nov 2019 23:33:08 +0000

whoopsie (0.2.66ubuntu0.2) eoan-security; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1850608)
    - lib/bson/bson.c: properly initialize value.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Oct 2019 08:58:38 -0400

whoopsie (0.2.66ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Integer overflow when handling large bson
    objects (LP: #1830865)
    - lib/bson/bson.c, lib/bson/bson.h, src/whoopsie.c: use size_t
      for size instead of int to prevent integer overflows.
    - lib/bson/bson.c: ensure bson objects are not bigger than INT_MAX.
    - CVE-2019-11484
  * src/whoopsie.c: prevent freeing a NULL server response string.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 04 Sep 2019 01:33:49 +0000

## whoopsie 0.2.69

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 				 $(shell libgcrypt-config --libs) \
 				 $(LDFLAGS)
 
-whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) \
+whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl libnm) \
 	   $(shell libgcrypt-config --cflags) \
 	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" -fPIC \
 	   $(CFLAGS) $(CPPFLAGS)

=== debian/changelog ===
whoopsie (0.2.69) focal; urgency=medium

  * SECURITY REGRESSION: segfault when sending crash report (LP: #1850608)
    - use uint32_t instead of size_t and INT32_MAX instead of INT_MAX
      as bson expects variable sizes to be 32 bits long.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 04 Nov 2019 23:33:08 +0000

whoopsie (0.2.68) focal; urgency=medium

  * lib/bson/bson.c: properly initialize bson_size variable.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 30 Oct 2019 13:36:27 +0000

whoopsie (0.2.67) focal; urgency=medium

  * SECURITY UPDATE: Integer overflow when handling large bson
    objects (LP: #1830865)
    - lib/bson/bson.c, lib/bson/bson.h, src/whoopsie.c: use size_t
      for size instead of int to prevent integer overflows.
    - lib/bson/bson.c: ensure bson objects are not bigger than INT_MAX.
    - CVE-2019-11484
  * src/whoopsie.c: prevent freeing a NULL server response string.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 30 Oct 2019 04:35:24 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libgcrypt20-dev,
  libcap-dev,
  libgtk-3-dev,
- network-manager-dev (>= 0.9.4.0-0ubuntu1),
+ libnm-dev,
  python3,
  pyflakes3
 Standards-Version: 3.9.6

## whoopsie 0.2.69ubuntu0.3

=== debian/changelog ===
whoopsie (0.2.69ubuntu0.3) focal; urgency=medium

  * src/whoopsie.c: modify server_response() so that it does not incorrectly
    assume that data is null-terminated and actually use the size of the data.
    (LP: #1914481)

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Feb 2021 18:37:17 -0800

whoopsie (0.2.69ubuntu0.2) focal; urgency=medium

  * Attempt to fix double free issue (LP: #1899100)
    - src/whoopsie.c: reject duplicate keys, re-order certain operations.
    - src/tests/data/crash/invalid_key_duplicate,
      src/tests/test_parse_report.c: added test for duplicate keys.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 09:29:08 -0800

whoopsie (0.2.69ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: integer overflow in bson parsing (LP: #1872560)
    - lib/bson/*: updated to latest upstream release.
    - CVE-2020-12135
  * SECURITY UPDATE: resource exhaustion via memory leak (LP: #1881982)
    - src/whoopsie.c, src/tests/test_parse_report.c: properly handle
      GHashTable.
    - CVE-2020-11937
  * SECURITY UPDATE: DoS via large data length (LP: #1882180)
    - src/whoopsie.c, src/whoopsie.h, src/tests/test_parse_report.c: limit
      the size of a report file.
    - CVE-2020-15570

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 Jul 2020 08:55:26 -0400

## whoopsie 0.2.72

=== debian/changelog ===
whoopsie (0.2.72) groovy; urgency=medium

  * src/whoopsie.c: Do not upload AlsaInfo as it is redundant now that PaInfo
    is collected.

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 10:07:53 -0700

whoopsie (0.2.71) groovy; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: integer overflow in bson parsing (LP: #1872560)
    - lib/bson/*: updated to latest upstream release.
    - CVE-2020-12135
  * SECURITY UPDATE: resource exhaustion via memory leak (LP: #1881982)
    - src/whoopsie.c, src/tests/test_parse_report.c: properly handle
      GHashTable.
    - CVE-2020-11937
  * SECURITY UPDATE: DoS via large data length (LP: #1882180)
    - src/whoopsie.c, src/whoopsie.h, src/tests/test_parse_report.c: limit
      the size of a report file.
    - CVE-2020-15570

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Aug 2020 15:00:45 -0700

whoopsie (0.2.70) groovy; urgency=medium

  * Fix failures to build from source with gcc-10.

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Aug 2020 14:52:48 -0700

## whoopsie 0.2.72.2

=== debian/changelog ===
whoopsie (0.2.72.2) groovy; urgency=medium

  * src/whoopsie.c: modify server_response() so that it does not incorrectly
    assume that data is null-terminated and actually use the size of the data.
    (LP: #1914481)

 -- Brian Murray <brian@ubuntu.com>  Thu, 04 Feb 2021 18:30:37 -0800

whoopsie (0.2.72.1) groovy; urgency=medium

  * Attempt to fix double free issue (LP: #1899100)
    - src/whoopsie.c: reject duplicate keys, re-order certain operations.
    - src/tests/data/crash/invalid_key_duplicate,
      src/tests/test_parse_report.c: added test for duplicate keys.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Oct 2020 14:40:14 -0400

## whoopsie 0.2.76

=== debian/changelog ===
whoopsie (0.2.76) hirsute; urgency=medium

  * Drop build-dependency on obsolete dh-systemd

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Mar 2021 17:02:31 -0800

whoopsie (0.2.75) hirsute; urgency=medium

  * src/whoopsie.c: modify server_response() so that it does not incorrectly
    assume that data is null-terminated and actually use the size of the data.
    (LP: #1914481)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Feb 2021 15:46:59 -0800

whoopsie (0.2.74) hirsute; urgency=medium

  * adding force flag to rm command in postrm script in case whoopsie-id
    does not yet exist when the package is removed (LP: #1907956)

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Fri, 22 Jan 2021 15:22:46 -0600

whoopsie (0.2.73) hirsute; urgency=medium

  * Attempt to fix double free issue (LP: #1899100)
    - src/whoopsie.c: reject duplicate keys, re-order certain operations.
    - src/tests/data/crash/invalid_key_duplicate,
      src/tests/test_parse_report.c: added test for duplicate keys.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Oct 2020 14:40:14 -0400

## whoopsie 0.2.76build1

=== debian/changelog ===
whoopsie (0.2.76build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:26:25 +0200

## whoopsie 0.2.77

=== Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	install -d $(DESTDIR)/lib/systemd/system
 	install -m644 data/whoopsie.conf $(DATA)/init
 	install -m644 data/whoopsie.service $(DESTDIR)/lib/systemd/system
+	install -m644 data/whoopsie.path $(DESTDIR)/lib/systemd/system
 	install -d $(DESTDIR)/usr/share/apport/package-hooks
 	install -m644 data/whoopsie.py $(DESTDIR)/usr/share/apport/package-hooks
 	install -d $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

=== src/tests/Makefile ===
--- 
+++ 
@@ -25,7 +25,12 @@
 test_monitor_SOURCES=test_monitor.c \
 					../monitor.c \
 					../logging.c \
-					../utils.c
+					../utils.c \
+					../whoopsie.c \
+					../../lib/bson/bson.c \
+					../../lib/bson/encoding.c \
+					../../lib/bson/numbers.c
+
 test_monitor_EXECUTABLE=test_monitor
 test_monitor_OBJECTS=$(test_monitor_SOURCES:.c=.test.o)

=== debian/changelog ===
whoopsie (0.2.77) jammy; urgency=medium

  [ Olivier Gayot ]
  * Added the --no-polling switch so that whoopsie can process existing files
    and exit directly (LP: #1424768)
  * Don't try to process files when we know we're offline. Eventually, we
    would just be ignoring each report ; which would result in useless CPU and
    IO usage.
  * Actually move to path-based activation (LP: #1424768)

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Feb 2022 14:37:37 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Evan Dandrea <ev@ubuntu.com>
-Build-Depends: debhelper (>= 9.0),
- dh-systemd,
+Build-Depends: debhelper (>= 9.20160709),
  libglib2.0-dev (>= 2.32),
  libcurl4-gnutls-dev,
  libgcrypt20-dev,

## whoopsie 0.2.77build3

=== debian/changelog ===
whoopsie (0.2.77build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:32:58 +0000

whoopsie (0.2.77build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:35:26 +0000

whoopsie (0.2.77build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:59:03 +0000

## whoopsie 0.2.77ubuntu0.1

=== debian/changelog ===
whoopsie (0.2.77ubuntu0.1) noble; urgency=medium

  * Enable `ShellJournal` and `JournalAll` fields (LP: #2130649)
  * tests: commit empty dir to repo to fix FTBFS with git-ubuntu

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Tue, 25 Nov 2025 16:52:17 +0100

## whoopsie 0.2.78

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,12 @@
 libwhoopsie_SOURCES=src/identifier.c \
                     src/recoverable-problem.c
 libwhoopsie_OBJECTS=$(libwhoopsie_SOURCES:.c=.o)
-libwhoopsie_CFLAGS=$(shell pkg-config --cflags glib-2.0 gio-2.0) \
-				   $(shell libgcrypt-config --cflags) \
+libwhoopsie_CFLAGS=$(shell pkg-config --cflags glib-2.0 gio-2.0 libgcrypt) \
 				   $(CFLAGS) $(CPPFLAGS)
-libwhoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0) \
-				 $(shell libgcrypt-config --libs) \
+libwhoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libgcrypt) \
 				 $(LDFLAGS)
 
-whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl libnm) \
-	   $(shell libgcrypt-config --cflags) \
+whoopsie_CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl libnm libgcrypt) \
 	   -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\" -fPIC \
 	   $(CFLAGS) $(CPPFLAGS)
 whoopsie_LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \

=== debian/changelog ===
whoopsie (0.2.78) oracular; urgency=medium

  * Fix FTBFS (LP: #2081271):
    * 'libgcrypt-config' binary got dropped in libgcrypt20-dev
    * 'invalid-file-is-dir' was an empty dir, never committed to git either

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Thu, 19 Sep 2024 17:33:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
  pyflakes3
 Standards-Version: 3.9.6
 Homepage: http://wiki.ubuntu.com/ErrorTracker
-Vcs-Bzr: lp:whoopsie
-Vcs-Browser: http://bazaar.launchpad.net/~daisy-pluckers/whoopsie/trunk/
+Vcs-Git: https://git.launchpad.net/whoopsie
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/whoopsie/+git/main
 
 Package: whoopsie
 Architecture: any

## whoopsie 0.2.79

=== Makefile ===
--- 
+++ 
@@ -58,10 +58,10 @@
 	install -d $(BIN)
 	install src/whoopsie $(BIN)
 	install -d $(DATA)/init
-	install -d $(DESTDIR)/lib/systemd/system
+	install -d $(DESTDIR)/usr/lib/systemd/system
 	install -m644 data/whoopsie.conf $(DATA)/init
-	install -m644 data/whoopsie.service $(DESTDIR)/lib/systemd/system
-	install -m644 data/whoopsie.path $(DESTDIR)/lib/systemd/system
+	install -m644 debian/whoopsie.service $(DESTDIR)/usr/lib/systemd/system
+	install -m644 debian/whoopsie.path $(DESTDIR)/usr/lib/systemd/system
 	install -d $(DESTDIR)/usr/share/apport/package-hooks
 	install -m644 data/whoopsie.py $(DESTDIR)/usr/share/apport/package-hooks
 	install -d $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

=== src/tests/Makefile ===
--- 
+++ 
@@ -1,9 +1,7 @@
 VERSION=$(shell dpkg-parsechangelog -l../../debian/changelog | grep ^Version: | cut -d' ' -f2)
-CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
-		$(shell libgcrypt-config --cflags) \
+CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl libgcrypt) \
 		-g -I../../lib -I.. -DVERSION=\"$(VERSION)\" -DTEST -DTEST_DIR=\"$(CURDIR)\" -Wall
-LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap \
-		$(shell libgcrypt-config --libs)
+LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl libgcrypt) -lcap
 
 test_parse_report_SOURCES=test_parse_report.c \
 							../whoopsie.c \

=== debian/changelog ===
whoopsie (0.2.79) plucky; urgency=medium

  * Enable `AptSolverDump` field (LP: #2103526).
  * Add some additional logging for more discoverable behavior.
  * Update maintainer, since in practice, I'm now in charge.
  * lintian:
      aliased-location
      file-without-copyright-information
      missing-build-dependency-for-dh-addon
  * Raise debhelper-compat to 13.

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 12 Mar 2025 17:09:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: whoopsie
 Section: utils
 Priority: optional
-Maintainer: Evan Dandrea <ev@ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709),
+Maintainer: Florent 'Skia' Jacquet <hyask@ubuntu.com>
+Build-Depends:
+ debhelper-compat (= 13),
  libglib2.0-dev (>= 2.32),
  libcurl4-gnutls-dev,
  libgcrypt20-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 export DESTDIR=$(CURDIR)/debian/whoopsie
 
 %:
-	dh $@ --with systemd
+	dh $@

## whoopsie 0.2.79ubuntu0.25.04.1

=== debian/changelog ===
whoopsie (0.2.79ubuntu0.25.04.1) plucky; urgency=medium

  * Enable `ShellJournal` and `JournalAll` fields (LP: #2130649)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Tue, 25 Nov 2025 16:19:22 +0100

## whoopsie 0.2.79ubuntu0.25.10.1

=== debian/changelog ===
whoopsie (0.2.79ubuntu0.25.10.1) questing; urgency=medium

  * Enable `ShellJournal` and `JournalAll` fields (LP: #2130649)
  * tests: work around broken rust-coreutils base64 (LP #2130810)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Tue, 25 Nov 2025 16:16:41 +0100

## whoopsie 0.2.80

=== debian/changelog ===
whoopsie (0.2.80) resolute; urgency=medium

  * Enable `ShellJournal` and `JournalAll` fields (LP: #2130649)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Thu, 06 Nov 2025 15:11:27 +0100

## whoopsie 0.2.81ubuntu

=== debian/changelog ===
whoopsie (0.2.81ubuntu) resolute; urgency=medium

  * Make the version string Ubuntu native
  * Add '--version' option
  * d/control: drop libgtk-3-dev from Build-Depends
  * d/whoopsie.service: point to new daisy
    We have a new daisy running on Python 3, let's test it a bit on devel.

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Tue, 09 Dec 2025 17:35:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: whoopsie
 Section: utils
 Priority: optional
-Maintainer: Florent 'Skia' Jacquet <hyask@ubuntu.com>
+Maintainer: Florent 'Skia' Jacquet <skia@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  libglib2.0-dev (>= 2.32),
  libcurl4-gnutls-dev,
  libgcrypt20-dev,
  libcap-dev,
- libgtk-3-dev,
  libnm-dev,
  python3,
  pyflakes3
